Skip to main content
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
Get indexing status for a repository
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing \
  --header 'Authorization: Bearer <token>'
{
  "indexing_enabled": true,
  "latest_completed_search_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_completed_wiki_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_indexes": [
    {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>",
      "status": "failed"
    }
  ]
}

Permissions

Requires a service user with the Read permission at the organization level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

repository_path
string
required

Response

Successful Response

indexing_enabled
boolean
required
latest_completed_search_index_job
RepoIndexJobResponse · object
required
latest_completed_wiki_index_job
RepoIndexJobResponse · object
required
latest_indexes
RepoIndexJobResponse · object[]
required